[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TBlobField.Transliterate

Should the contents of the field be transliterated

## Declaration

Source position: db.pas line 933

`public property TBlobField.Transliterate : Boolean read FTransliterate write FTransliterate;`

## Description

Transliterate indicates whether the contents of the field should be transliterated (i.e. changed from OEM to non OEM codepage and vice versa) when reading or writing the value. The actual transliteration must be done in the TDataset.Translate method of the dataset to which the field belongs. By default this property is False, but it can be set to True for BLOB data which contains text in another codepage.

## See also

TStringField.Transliterate |  | Should the field value be transliterated when reading or writing
TDataset.Translate |  | Transliterate a buffer